Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.base
Class AMXLoggerBase

    java.lang.Object
      java.util.logging.Logger
          com.sun.appserv.management.base.AMXLoggerBase

Direct Known Subclasses:
  AMXClientLogger, AMXRootLogger

public class AMXLoggerBase
extends java.util.logging.Logger

Base Logger class for AMX loggers.

Field Summary

Fields inherited from class java.util.logging.Logger
`global`

Constructor Summary
`AMXLoggerBase(java.lang.String name, java.lang.String resourceBundleName)`

Method Summary
`void` | `addNotificationLoggingHandler(java.lang.Object source, com.sun.appserv.management.util.jmx.NotificationSender sender)`
`boolean` | `getEmitLogNotifications()`
`boolean` | `hasNotificationLoggingHandler()`
`void` | `setEmitLogNotifications(boolean emit)`
`void` | `setLevel(java.util.logging.Level level)`

Methods inherited from class java.util.logging.Logger
`addHandler, config, entering, entering, entering, exiting, exiting, fine, finer, finest, getAnonymousLogger, getAnonymousLogger, getFilter, getHandlers, getLevel, getLogger, getLogger, getName, getParent, getResourceBundle, getResourceBundleName, getUseParentHandlers, info, isLoggable, log, log, log, log, log, logp, logp, logp, logp, logrb, logrb, logrb, logrb, removeHandler, setFilter, setParent, setUseParentHandlers, severe, throwing, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AMXLoggerBase

    public AMXLoggerBase(java.lang.String name,
                         java.lang.String resourceBundleName)

Method Detail

### hasNotificationLoggingHandler

    public boolean hasNotificationLoggingHandler()

### addNotificationLoggingHandler

    public void addNotificationLoggingHandler(java.lang.Object source,
                                              com.sun.appserv.management.util.jmx.NotificationSender sender)

### getEmitLogNotifications

    public boolean getEmitLogNotifications()

### setEmitLogNotifications

    public void setEmitLogNotifications(boolean emit)

### setLevel

    public void setLevel(java.util.logging.Level level)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.